% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/citation_bellow.R
\name{citation_bellow}
\alias{citation_bellow}
\title{Cite Data - Get GBIF citations}
\usage{
citation_bellow(df, id = "ID", aggregator = "aggregator")
}
\arguments{
\item{df}{Data frame of occurrence records returned from \code{gators_download()}.}

\item{id}{Default = "ID". The name of the id column in the data frame, which contains unique IDs defined from GBIF (keys) or iDigBio (UUID).}

\item{aggregator}{Default = "aggregator". The name of the column in the data frame that identifies the aggregator
that provided the record. This is equal to iDigBio or GBIF.}
}
\value{
Returns a list with citation information for the GBIF data downloaded.
}
\description{
The \code{citation_bellow} function retrieves and returns the citation information
for records from GBIF, or where aggregator = "GBIF".
}
\details{
This function requires the rgbif package.
}
\examples{
\donttest{
citations <- citation_bellow(data)
}

}
